#!/bin/sh

script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

BleButtonAlarm=`cat $script_path/BleButtonAlarm.ini | ./busybox grep "BleButtonAlarm:" | ./busybox grep -v grep | sed 's/BleButtonAlarm://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found BleButtonAlarm ini config file"
	exit -1
fi

if [ "$BleButtonAlarm" = "yes" ];then
	if [ ! -d "/mnt/mtd/Flags/" ];then
		mkdir -p /mnt/mtd/Flags/
	fi
	touch /mnt/mtd/Flags/BleButtonAlarmFlag
	./playOrRecord -p 0 audio/BleAlarmButtomOpen.pcm
fi

if [ "$BleButtonAlarm" = "no" ];then
	rm -rf /mnt/mtd/Flags/BleButtonAlarmFlag
	./playOrRecord -p 0 audio/BleAlarmButtomClose.pcm
fi